org.apache.poi.hwpf.usermodel

## Class ListEntry

- java.lang.Object
- - org.apache.poi.hwpf.usermodel.Range
  - - org.apache.poi.hwpf.usermodel.Paragraph
    - - org.apache.poi.hwpf.usermodel.ListEntry

- All Implemented Interfaces:
    Duplicatable

      public final class ListEntry
      extends Paragraph

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.usermodel.Paragraph

      `_istd, _papx, _props, SPRM_ANLD, SPRM_AUTOSPACEDE, SPRM_AUTOSPACEDN, SPRM_BRCBAR, SPRM_BRCBOTTOM, SPRM_BRCL, SPRM_BRCLEFT, SPRM_BRCP, SPRM_BRCRIGHT, SPRM_BRCTOP, SPRM_CHGTABS, SPRM_CHGTABSPAPX, SPRM_CRLF, SPRM_DCS, SPRM_DXAABS, SPRM_DXAFROMTEXT, SPRM_DXALEFT, SPRM_DXALEFT1, SPRM_DXARIGHT, SPRM_DXAWIDTH, SPRM_DYAABS, SPRM_DYAAFTER, SPRM_DYABEFORE, SPRM_DYAFROMTEXT, SPRM_DYALINE, SPRM_FADJUSTRIGHT, SPRM_FBIDI, SPRM_FINTABLE, SPRM_FKEEP, SPRM_FKEEPFOLLOW, SPRM_FKINSOKU, SPRM_FLOCKED, SPRM_FNOAUTOHYPH, SPRM_FNOLINENUMB, SPRM_FNUMRMLNS, SPRM_FOVERFLOWPUNCT, SPRM_FPAGEBREAKBEFORE, SPRM_FRAMETEXTFLOW, SPRM_FSIDEBYSIDE, SPRM_FTOPLINEPUNCT, SPRM_FTTP, SPRM_FWIDOWCONTROL, SPRM_FWORDWRAP, SPRM_ILFO, SPRM_ILVL, SPRM_JC, SPRM_NUMRM, SPRM_OUTLVL, SPRM_PC, SPRM_PROPRMARK, SPRM_RULER, SPRM_SHD, SPRM_SHD80, SPRM_USEPGSUSETTINGS, SPRM_WALIGNFONT, SPRM_WHEIGHTABS, SPRM_WR`

    - ### Fields inherited from class org.apache.poi.hwpf.usermodel.Range

      `_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hwpf.usermodel.Paragraph

      `clone, cloneProperties, copy, getBarBorder, getBottomBorder, getDropCap, getFirstLineIndent, getFontAlignment, getIlfo, getIlvl, getIndentFromLeft, getIndentFromRight, getJustification, getLeftBorder, getLineSpacing, getList, getLvl, getProps, getRightBorder, getShading, getSpacingAfter, getSpacingBefore, getStyleIndex, getTableLevel, getTabStopsNumber, getTabStopsPositions, getTopBorder, isAutoHyphenated, isBackward, isEmbeddedCellMark, isInList, isInTable, isKinsoku, isLineNotNumbered, isSideBySide, isTableRowEnd, isVertical, isWidowControlled, isWordWrapped, keepOnPage, keepWithNext, newParagraph_applyStyleProperties, newParagraph, pageBreakBefore, setAutoHyphenated, setBackward, setBarBorder, setBottomBorder, setDropCap, setFirstLineIndent, setFontAlignment, setIndentFromLeft, setIndentFromRight, setJustification, setKeepOnPage, setKeepWithNext, setKinsoku, setLeftBorder, setLineNotNumbered, setLineSpacing, setPageBreakBefore, setRightBorder, setShading, setSideBySide, setSpacingAfter, setSpacingBefore, setTopBorder, setVertical, setWidowControl, setWordWrapped, toString`

    - ### Methods inherited from class org.apache.poi.hwpf.usermodel.Range

      `adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertBefore, insertTableBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, replaceText, reset, sanityCheck, stripFields, text`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.